/* globals */
:root {
  --primary-accent: #efa402;
  --secondary-accent: #01608c;
  --tertiary-accent: #1d1d1b;
  --text-color: #000000;
  --bg-black: #000000;
  --text-color-white: #f0f0f0;
  --bg-grey: #f1f1f1;
  --bg-grey-darker: #d9d9d9;
  --bg-silver-dark: #707070;
  --color-white: #fff;
  --bg-body: #f0f0f0;
  --shadow: #8d8d8d;
  --bs-body-font-size: 1.25rem;
  --bs-nav-link-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-link-color-rgb: 9, 99, 231;
}
.navbar {
  --bs-nav-link-color: var(--text-color);
  --bs-navbar-color: var(--text-color);
}
body,
html {
  scroll-padding: 120px;
  scroll-behavior: smooth;
}
html {
  margin: 0 !important;
}
body {
  font-family: "Inter", sans-serif;
  color: var(--text-color);
  background: linear-gradient(
    to bottom,
    var(--color-white) 0px,
    var(--color-white) 80px,
    var(--bg-body) 80px,
    var(--bg-body) 100%
  );
  background-repeat: no-repeat;
}
html:has(.admin-bar) {
  margin-top: 32px !important;
}

.color-white {
  color: var(--color-white);
}
.color-primary {
  color: var(--primary-accent);
}
.color-secondary {
  color: var(--secondary-accent);
}
h2,
h3 {
  font-weight: bold;
}
li {
  word-wrap: break-word;
}
.row {
  padding-top: 15px;
  padding-bottom: 15px;
}
body::-webkit-scrollbar-thumb {
  background-color: var(--primary-accent);
}
body::-webkit-scrollbar {
  width: 10px;
  background-color: var(--bg-body);
}
body::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: var(--bg-grey);
}
.container-custom {
  padding-right: calc(1.5rem * 0.5);
  padding-left: calc(1.5rem * 0.5);
}
/* end of globals */

/* 404 */

a.btn-404 {
  text-decoration: none;
  color: var(--text-color);
  font-size: 1.25rem;
  background-color: var(--primary-accent);
  box-shadow: 2px 2px 3px var(--bg-grey-darker);
  border: 3px solid transparent;
  font-weight: 500;
  padding: 10px 15px;
  display: inline-block;
  margin-top: 25px;
  border-radius: 8px;
  transition: 0.3s;
}
a.btn-404:hover {
  border: 3px solid var(--primary-accent);
  background-color: transparent;
}
/* end of 404 */

/* header */
.logo-container a {
  display: flex;
  padding: 10px 25px;
}
header.site-header {
  background-color: var(--color-white);
  margin-bottom: 3rem;
}
.logo-container {
  display: flex;
  justify-content: center;
}
.logo-container .logo {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-wrap: wrap;
}

/* end of header */

/* home */
.hero > .conteiner {
  position: relative;
  z-index: 2;
}
.text-slide {
  text-align: center;
  font-weight: bold;
  font-size: 3.5rem;
  padding-left: 85px;
  padding-right: 85px;
}
.text-slide p {
  margin: 0;
}
.text-slick {
  padding-top: 4rem;
  padding-bottom: 4rem;
  margin-top: 8rem;
  margin-bottom: 8rem;
}
section.hero {
  position: relative;
  margin-bottom: 6rem;
}
section.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 11rem;
  height: 11rem;
  background: linear-gradient(to bottom, var(--primary-accent) 0 100%) left top /
      45% 100% no-repeat,
    linear-gradient(to right, var(--primary-accent) 0 100%) left top / 100% 45%
      no-repeat;
  background-repeat: no-repeat;
}
section.hero::after {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  width: 11rem;
  height: 11rem;
  background: linear-gradient(to top, var(--secondary-accent) 0 100%) right
      bottom / 45% 100% no-repeat,
    linear-gradient(to left, var(--secondary-accent) 0 100%) right bottom / 100%
      45% no-repeat;
  background-repeat: no-repeat;
}

/* end of home */

.hero {
  color: #fff;
  padding: 100px 0;
  text-align: center;
  margin-left: 12px;
  margin-right: 12px;
  background-image: url("../img/BANER_1600_1_70.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.hero img {
  max-width: 200px;
  margin-bottom: 20px;
}
.cta-section {
  padding: 60px 0;
}
.cta-box {
  background-color: #ffffff;
  border: 1px solid #dee2e6;
  border-radius: 8px;
  padding: 30px;
  text-align: center;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
}
.cta-box .btn {
  font-weight: 500;
  transition: 0.3s;
}
.cta-box .btn-outline-primary {
  color: #01608c;
  border-color: #01608c;
}
.cta-box .btn-primary {
  background-color: #01608c;
  border-color: #01608c;
}
.cta-box .btn:hover {
  background-color: #efa402;
  border-color: #efa402;
  color: #000;
  border-radius: 0.75rem 0 0.75rem 0;
  box-shadow: 2px 2px 10px -2px #01608c96;
}
.cta-box img {
  width: 100%;
  object-fit: contain;
  border-radius: 6px;
}
.cta-box h3 {
  margin-top: 20px;
}

.hover-image {
  position: relative;
  overflow: hidden;
}

.hover-image img {
  display: block;
  width: 100%;
  transition: transform 0.5s ease;
}

.hover-image::after {
  content: "";
  position: absolute;
  top: -100%;
  left: -100%;
  width: 200%;
  height: 200%;
  background: linear-gradient(
    45deg,
    rgba(255, 255, 255, 0) 40%,
    rgba(255, 255, 255, 0.3) 50%,
    rgba(255, 255, 255, 0) 60%
  );
  transform: translateX(-100%) rotate(25deg);
  pointer-events: none;
  transition: transform 1s ease;
}

.cta-box:hover .hover-image::after {
  transform: translateX(100%) rotate(25deg);
}

.cta-box:hover .hover-image img {
  transform: scale(1.03);
}

.contact-form-section {
  padding: 60px 0;
}
.contact-form-section label {
  width: 100%;
}
.contact-form-section input[type="submit"] {
  background: #01608c;
  color: #fff;
  text-transform: uppercase;
  padding: 1rem 0;
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.contact-form-section input[type="submit"]:hover {
  background: #013d59;
}
.contact-form-section input:not([type="checkbox"]) {
  display: block;
  padding: 0.5rem;
  width: 100%;
  border: 1px solid #000;
}

/* footer */

footer {
  background-color: #01608cc2;
  color: #ffffff;
  text-align: center;
}

footer a {
  color: #ffffff;
  text-decoration: none;
}
.footer-section {
  position: relative;
  overflow: hidden;
  padding: 20px 0;
}
.footer-section > .container {
  position: relative;
  z-index: 2;
}

.floating-square {
  position: absolute;
  width: 20px;
  height: 20px;
  opacity: 1;
  border-radius: 4px;
  pointer-events: none;
  will-change: transform, opacity;
  z-index: 0;
  transition: opacity 0.5s ease; /* przejście dla opacity */
}

.floating-square.fade-out {
  opacity: 0;
}
/* end of footer */

@media (max-width: 1400px) {
}
@media (max-width: 1199px) {
}
@media (max-width: 991px) {
}
@media (max-width: 768px) {
  header.site-header {
    background: var(--color-white);
  }
  section.hero::before,
  section.hero::after {
    width: 10rem;
    height: 10rem;
  }
  section.hero::before {
    background: linear-gradient(to bottom, var(--primary-accent) 0 100%) left
        top / 0 100% no-repeat,
      linear-gradient(to right, var(--primary-accent) 0 100%) left top / 100%
        45% no-repeat;
  }
  section.hero::after {
    background: linear-gradient(to top, var(--secondary-accent) 0 100%) right
        bottom / 0% 100% no-repeat,
      linear-gradient(to left, var(--secondary-accent) 0 100%) right bottom /
        100% 45% no-repeat;
  }
}
@media (max-width: 576px) {
}
@media (min-width: 576px) {
}
@media (min-width: 768px) {
  .hero {
    padding: 200px 0;
  }
  .hero .container {
    padding: 0 10rem;
  }
}
@media (min-width: 992px) {
  .articles .blog-row article {
    width: calc((100% / 3) - (1.5rem / 2));
  }
  .single-post .entry-title {
    font-size: 2.75rem;
  }
}
@media (min-width: 1200px) {
}
@media (min-width: 1400px) {
}
